## python-click-threading 0.4.0

=== debian/changelog ===
python-click-threading (0.4.0-1) unstable; urgency=low

  * initial release (Closes: #833996)

 -- Filip Pytloun <filip@pytloun.cz>  Thu, 11 Aug 2016 11:46:20 +0200

## python-click-threading 0.4.4

=== Makefile ===
release:
	python setup.py sdist bdist_wheel upload

docs:
	cd docs && make html

.PHONY: docs

## python-click-threading 0.4.3

=== debian/changelog ===
python-click-threading (0.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 17 Jan 2017 19:50:15 +0100

python-click-threading (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Wed, 28 Dec 2016 23:04:51 +0100

=== debian/control ===
Source: python-click-threading
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Filip Pytloun <filip@pytloun.cz>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python (>= 2.20160609~),
               python-all,
               python-click (>= 5.0),
               python-concurrent.futures,
               python-pytest,
               python-setuptools,
               python3-all,
               python3-click (>= 5.0),
               python3-pytest,
               python3-setuptools
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/click-contrib/click-threading
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-click-threading.git/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-click-threading.git

Package: python-click-threading
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Utilities for multithreading in click - Python 2.7
 Libraryfor easier multithreaded development with Click.
 Click is a Python package for creating beautiful command line interfaces in a
 composable way with as little code as necessary. It’s the “Command Line
 Interface Creation Kit”. It’s highly configurable but comes with sensible
 defaults out of the box.
 .
 This package contains the Python 2.7 module.

Package: python3-click-threading
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Utilities for multithreading in click - Python 3.x
 Library for easier multithreaded development with Click.
 Click is a Python package for creating beautiful command line interfaces in a
 composable way with as little code as necessary. It’s the “Command Line
 Interface Creation Kit”. It’s highly configurable but comes with sensible
 defaults out of the box.
 .
 This package contains the Python 3.x module.

## python-click-threading 0.4.4

=== debian/changelog ===
python-click-threading (0.4.4-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 27 Jul 2019 01:27:19 +0200

python-click-threading (0.4.4-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version to 4.1.2 (no changes)

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 11 Dec 2017 17:33:58 +0100

=== debian/control ===
Source: python-click-threading
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Filip Pytloun <filip@pytloun.cz>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 9),
               dh-python (>= 2.20160609~),
               python3-all,
               python3-click (>= 5.0),
               python3-pytest,
               python3-setuptools
Standards-Version: 4.1.2
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/click-contrib/click-threading
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-click-threading
Vcs-Git: https://salsa.debian.org/python-team/modules/python-click-threading.git

Package: python3-click-threading
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Utilities for multithreading in click - Python 3.x
 Library for easier multithreaded development with Click.
 Click is a Python package for creating beautiful command line interfaces in a
 composable way with as little code as necessary. It’s the “Command Line
 Interface Creation Kit”. It’s highly configurable but comes with sensible
 defaults out of the box.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=click-threading

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	LC_ALL=C.UTF-8 dh_auto_test

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-click-threading-$1\.tar\.gz/ \
  https://github.com/click-contrib/click-threading/tags .*/v?(\d\S*)\.tar\.gz

## python-click-threading 0.5.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/click-threading.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/click-threading.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/click-threading"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/click-threading"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-click-threading (0.5.0-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on dh-python.
  * Bump debhelper from old 9 to 13.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse, Bug-Submit.

  [ Håvard Flaget Aasen ]
  * New upstream version 0.5.0.
    New upstream release is compatible with python3-click version 8.0.
    Closes: #996337, #997480, #1000732
  * Drop patch, no longer needed.
  * d/watch: Update to version 4.
  * Add upstream testsuite as autopkgtest.
  * d/copyright: Add upstream-contact.
  * Add rules-requires-root.
  * Update Standards-Version to 4.6.0.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 29 Nov 2021 08:05:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-click-threading
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Filip Pytloun <filip@pytloun.cz>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 9),
-               dh-python (>= 2.20160609~),
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
                python3-all,
                python3-click (>= 5.0),
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.1.2
+Standards-Version: 4.6.0
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 Homepage: https://github.com/click-contrib/click-threading
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-click-threading
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-click-threading.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-click-threading
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-click-threading.git
 
 Package: python3-click-threading
 Architecture: all

=== debian/tests/control ===
Tests: upstream
Depends: @,
         python3-all,
         python3-pytest,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-click-threading-$1\.tar\.gz/ \
  https://github.com/click-contrib/click-threading/tags .*/v?(\d\S*)\.tar\.gz
